
Redmine - Defect #10600

Watchers search generates an Internal error

2012-04-04 10:54 - Anton Tsapov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.4.0   

Resolution: Fixed Affected version:  

Description

When somebody try to search a user to add in watchers list, he take Internal error.

A NoMethodError occurred in watchers#autocomplete_for_user:

 undefined method `-' for nil:NilClass

 [RAILS_ROOT]/app/controllers/watchers_controller.rb:101:in `autocomplete_for_user'

 I think, that applied patch resolve this problem.

Associated revisions

Revision 9323 - 2012-04-05 20:10 - Etienne Massip

Fixed Internal Error in watchers XHR search (#10600).

History

#1 - 2012-04-04 11:58 - Etienne Massip

- Tracker changed from Patch to Defect

- Category set to Issues

- Status changed from New to Confirmed

- Target version set to 1.4.0

- Affected version (unused) set to devel

Blocker.

#2 - 2012-04-05 20:12 - Etienne Massip

- Status changed from Confirmed to Resolved

- Resolution set to Fixed

Fixed with r9323.

#3 - 2012-04-06 09:41 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files
